# EXTPointParameters (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class EXTPointParameters

    java.lang.Object
      org.lwjgl.opengl.EXTPointParameters

    public final class EXTPointParameters

extends java.lang.Object

Field Summary
`static int` `GL_DISTANCE_ATTENUATION_EXT`
`static int` `GL_POINT_FADE_THRESHOLD_SIZE_EXT`
`static int` `GL_POINT_SIZE_MAX_EXT`
`static int` `GL_POINT_SIZE_MIN_EXT`

Method Summary
`static void` `glPointParameterEXT(int pname, java.nio.FloatBuffer pfParams)`
`static void` `glPointParameterfEXT(int pname, float param)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_POINT_SIZE_MIN_EXT

    public static final int GL_POINT_SIZE_MIN_EXT

See Also:
  Constant Field Values

### GL_POINT_SIZE_MAX_EXT

    public static final int GL_POINT_SIZE_MAX_EXT

See Also:
  Constant Field Values

### GL_POINT_FADE_THRESHOLD_SIZE_EXT

    public static final int GL_POINT_FADE_THRESHOLD_SIZE_EXT

See Also:
  Constant Field Values

### GL_DISTANCE_ATTENUATION_EXT

    public static final int GL_DISTANCE_ATTENUATION_EXT

See Also:
  Constant Field Values

Method Detail

### glPointParameterfEXT

    public static void glPointParameterfEXT(int pname,
                                            float param)

### glPointParameterEXT

    public static void glPointParameterEXT(int pname,
                                           java.nio.FloatBuffer pfParams)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.